{% extends 'base.html' %}
{% load static %}

{% block content %}
    <div class="card">
        <div class="card-header">
            {% if editform %}
                <h4 class="card-title">Edit Contact</h4>
            {% else %}
                <h4 class="card-title">Add Contact</h4>
            {% endif %}
        </div>
        <div class="card-body">
            <div class="basic-form">
                {% if editform %}
                    <form method="POST" action="{% url 'ContactEdit' contactUUID=customerId %}" enctype="multipart/form-data">
                {% else %}
                    <form method="POST" action="{% url 'ContactAdd' businessUUID=businessUUID %}" enctype="multipart/form-data">
                {% endif %}
                {% csrf_token %}
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">First Name</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter First Name"
                               name="firstName" value="{{ contact.firstName }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Last Name</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Last Name"
                               name="lastName" value="{{ contact.lastName }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Email</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Email"
                               name="email" value="{{ contact.email }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Mobile Number</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Mobile Number"
                               name="mobileNumber" value="{{ contact.mobileNumber }}">
                    </div>
                </div>
                <div class="mb-3 row">
                    <label class="col-sm-3 col-form-label">Title</label>
                    <div class="col-sm-9">
                        <input type="text" class="form-control" placeholder="Enter Title"
                               name="title" value="{{ contact.title }}">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
                <a href="{% url 'BusinessDetails' businessUUID=businessUUID %}" class="btn btn-warning">Cancel</a>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
